MONGOC_BULK_OPERATION_DELETE_ONE(3)

NAME
mongoc_bulk_operation_delete_one - mongoc_bulk_operation_delete_one()

SYNOPSIS

void
mongoc_bulk_operation_delete_one (mongoc_bulk_operation_t *bulk,
                                  const bson_t *selector);

Delete a single document as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

DEPRECATED

WARNING: This function is deprecated and should not be used in new code.

Please use mongoc_bulk_operation_remove_one() instead.

PARAMETERS

•   bulk: A mongoc_bulk_operation_t.

•   selector: A bson_t.

SEE ALSO

mongoc_bulk_operation_remove_one_with_opts()

mongoc_bulk_operation_remove_many_with_opts()

ERRORS

Errors are propagated via mongoc_bulk_operation_execute().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc